Bug 1249183 (CVE-2015-5184) - CVE-2015-5184 Hawtio: CORS headers set to allow all
Summary: CVE-2015-5184 Hawtio: CORS headers set to allow all
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1242522
TreeView+ depends on / blocked
 
Reported: 2015-07-31 18:26 UTC by Chess Hazlett
Modified: 2020-04-27 18:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Hawtio console setting for the Access-Control-Allow-Origin header permits unrestricted sharing (allow all). An attacker could use this flaw to access sensitive information or perform other attacks.
Clone Of:
Environment:
Last Closed: 2018-04-18 18:30:25 UTC


Attachments (Terms of Use)

Description Chess Hazlett 2015-07-31 18:26:10 UTC
It was found that A-MQ's Hawtio console setting for the Access-Control-Allow-Origin header permits unrestricted sharing. An attacker could use this flaw to access sensitive information or perform other attacks.

Comment 2 Chess Hazlett 2015-12-06 16:55:04 UTC
Acknowledgements:

Red Hat would like to thank Naftali Rosenbaum of Comsec Consulting for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.